CCT(1)

NAME
cct - 4D equivalent to the "proj" projection program

SYNOPSIS
cct [-options]... [+operator_specs]... infile...

DESCRIPTION
cct is a 4D equivalent to the proj(1) projection program.

cct is an acronym meaning "Coordinate Conversion and Transformation".

The acronym refers to definitions given in the OGC 08-015r2/ISO-19111 standard "Geographical Information -- Spatial Referencing by Coordinates", which defines two different classes of coordinate operations:

*Coordinate Conversions*, which are coordinate operations where input and output datum are identical (e.g. conversion from geographical to cartesian coordinates) and

*Coordinate Transformations*, which are coordinate operations where input and output datums differ (e.g. change of reference frame).

cct, however, also refers to Carl Christian Tscherning (1942--2014), professor of Geodesy at the University of Copenhagen, mentor and advisor for a generation of Danish geodesists, colleague and collaborator for two generations of global geodesists, Secretary General for the International Association of Geodesy, IAG (1995--2007), fellow of the Amercan Geophysical Union (1991), recipient of the IAG Levallois Medal (2007), the European Geosciences Union Vening Meinesz Medal (2008), and of numerous other honours.

cct, or Christian, as he was known to most of us, was recognized for his good mood, his sharp wit, his tireless work, and his great commitment to the development of geodesy - both through his scientific contributions, comprising more than 250 publications, and by his mentoring and teaching of the next generations of geodesists.

As Christian was an avid Fortran programmer, and a keen Unix connoiseur, he would have enjoyed to know that his initials would be used to name a modest Unix style transformation filter, hinting at the tireless aspect of his personality, which was certainly one of the reasons he accomplished so much, and meant so much to so many people.

Hence, in honour of cct (the geodesist) this is cct (the program).

OPTIONS

-o /path/to/file
    Specify output file name

-c x,y,z,t
    Specify input columns for (up to) 4 input parameters. Defaults to 1,2,3,4

-z value
    Provide a fixed z value for all input data (e.g. -z 0)

-t value
    Provide a fixed t value for all input data (e.g. -t 0)

-I  Do the inverse transformation

-v  Verbose: Provide non-essential informational output. Repeat -v for more verbosity (e.g. -vv)

LONG OPTIONS

--output
    Alias for -o

--columns
    Alias for -c

--height
    Alias for -z

--time
    Alias for -t

--verbose
    Alias for -v

--inverse
    Alias for -I

--help
    Alias for -h

OPERATOR SPECS
The operator specs describe the action to be performed by cct, e.g:

    +proj=utm +ellps=GRS80 +zone=32

instructs cct to convert input data to Universal Transverse Mercator, zone 32 coordinates, based on the GRS80 ellipsoid.

Hence, the command

    echo 12 55 | cct -z0 -t0 +proj=utm +zone=32 +ellps=GRS80

Should give results comparable to the classic proj command

    echo 12 55 | proj +proj=utm +zone=32 +ellps=GRS80

EXAMPLES
1. convert geographical input to UTM zone 32 on the GRS80 ellipsoid:

    cct +proj=utm +ellps=GRS80 +zone=32

2. roundtrip accuracy check for the case above:

    cct +proj=pipeline +proj=utm +ellps=GRS80 +zone=32 +step +step +inv

3. as (1) but specify input columns for longitude, latitude, height and time:

    cct -c 5,2,1,4 +proj=utm +ellps=GRS80 +zone=32

4. as (1) but specify fixed height and time, hence needing only 2 cols in input:

    cct -t 0 -z 0 +proj=utm +ellps=GRS80 +zone=32

HOME PAGE
http://proj4.org/